fop 1.1

## org.apache.fop.fonts
Interface FontCollection

All Known Implementing Classes:
  AFPBase12FontCollection, AFPFontCollection, Base14FontCollection, Base14FontCollection, ConfiguredFontCollection, CustomFontCollection, InstalledFontCollection

    public interface FontCollection

Sets up a set of fonts

Method Summary
`int` `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

Method Detail

### setup

    int setup(int start,
              FontInfo fontInfo)

  Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Parameters:
    `start` - the font starting number
    `fontInfo` - the font info to set up
  Returns:
    the starting font number for the next font to be added

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.